
Figure - Bug #114743
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【应用】应用下的相关权限修改后，返回上层目录，其权限显示不会实时刷新修改
2022-12-22 10:38 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2022-12-22

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS 段小刚 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: �FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0061.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

Reproducibility: Every time Fixed Version: 2022-12-26

Test Type: IT Root cause: Settings 页面结构调整导致返回后没有刷新状态。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开设置——> 应用——>特殊应用权限——>xxxxx

2、选择一个应用 点击

3、 点击 应用信息里的 ”赋予文件权限管理“的按钮

4、返回上一层，查看该应用权限

【预期结果】

4、权限已改变

【实际结果】

4、没有改变

【复现率】

3/3

History

#1 - 2022-12-26 10:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172094 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix app perimission state sync problem.TC-RID: 1201-0201802IssueID: TS-R-BUG-114743Change-Id:

I56685f1266f720f21f10a2d90da8907d1a2e3ad4

#2 - 2022-12-26 10:54 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS 段小刚
- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-26

- Root cause set to Settings 页面结构调整导致返回后没有刷新状态。

■ Current conclusion

已解决。

■ My analysis

Settings 页面结构调整导致返回后没有刷新状态。

■ Next action

测试验证。

#3 - 2022-12-28 11:16 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0063.X101

12.28

验证通过

#4 - 2022-12-28 11:16 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#5 - 2022-12-28 15:44 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172668 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix NullPointerException when running monkey test.TC-RID: 1201-0201802IssueID: TS-R-BUG-114743Change-Id:

Ia9195fdc3ea800b41add2f28a477bcdfd061137a
